Index: turing/pyqode/qt/__init__.py
===================================================================
--- turing.orig/pyqode/qt/__init__.py
+++ turing/pyqode/qt/__init__.py
@@ -84,7 +84,10 @@ def setup_apiv2():
     if sys.version_info[0] == 2:
         logging.getLogger(__name__).debug(
             'setting up SIP API to version 2')
-        import sip
+        try:
+            from PyQt5 import sip
+        except:
+            import sip
         try:
             sip.setapi("QString", 2)
             sip.setapi("QVariant", 2)
Index: turing/src/lang/translator.py
===================================================================
--- turing.orig/src/lang/translator.py
+++ turing/src/lang/translator.py
@@ -2,7 +2,10 @@
 
 import importlib
 import os
-import sip
+try:
+    from PyQt5 import sip
+except:
+    import sip
 import sys
 import types
 from typing import List, Tuple
